%define name kdesu
%define version 0.98
%define release 13mdk

Summary: %{name} - A GUI front end for `su'
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp.kde.org/pub/kde/stable/1.1.1/apps/utils/%{name}-%{version}.tar.bz2
# Source1 and 2: menu entries - Source3: mini-icon for kcmkdesu
Source1: kdesu_menuentries
Source2: kcmkdesu_menuentries
Source3: mini-kdesu-keys.xpm
Patch0: kdesu-awfull.patch.bz2
Patch1: kdesu.patch.bz2
Patch2: kdesu-add-sbin-to-path.patch.bz2
Patch3: kdesu-asroot.patch.bz2
Patch4: kdesu-keeppass.patch.bz2
Copyright: GPL
Group: Graphical desktop/KDE
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt >= 1.44
BuildRequires: kdelibs-devel

%description
KDE su is a graphical front end to the Unix `su' utility. It allows you
to run programs as the superuser by entering root's password.
It is _not_ a setuid root program, it runs completely unprivileged. 
The system's program `su' is used for acquiring root privileges.

%package -n kcmkdesu
Summary: Tool for configuring kdesu
Group: System/Configuration/Other

%description -n kcmkdesu
Tool for configuring kdesu. See kdesu for more information

%prep
%setup -n %{name}
%patch0 -b .awfull
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p0

%build

# tricky/idiot/stupid/chmou/bonzo
if gcc --version|grep 2.95;then
    libtoolize --force
    CFLAGS="$RPM_OPT_FLAGS -fpermissive" \
    CXXFLAGS="$RPM_OPT_FLAGS -fpermissive" \
    ./configure --with-install-root=$RPM_BUILD_ROOT/ --disable-rpath
else
    CXXFLAGS="$RPM_OPT_FLAGS" \
    %configure --with-install-root=$RPM_BUILD_ROOT/ --disable-rpath
fi    

# hack to make it link statically with libkdecore
perl -pi -e 's|-lkdecore|/usr/lib/libkdecore.a|' kdesu/Makefile

make

%install
rm -rf $RPM_BUILD_ROOT
make install
cp -dpR pics/kdesu-keys.xpm $RPM_BUILD_ROOT/usr/share/apps/kdesu/kdesu-keys.xpm

# (fg) Also copy icon to /usr/share/icons
cp -dpR pics/kdesu-keys.xpm $RPM_BUILD_ROOT/usr/share/icons/kdesu-keys.xpm
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/icons/mini/kdesu-keys.xpm

# (fg) Change icon names
pushd $RPM_BUILD_ROOT/usr/share/icons/mini
for i in mini-*; do mv $i ${i#mini-}; done
popd

# (fg) Copy menu entries
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/kdesu
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/menu/kcmkdesu

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files
%defattr(-,root,root,0755)
/usr/bin/kdesu
%attr(2755,root,root) /usr/bin/kdesud
/usr/lib/menu/kdesu
%dir /usr/share/icons
/usr/share/icons/*-su.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/*-su.xpm
/usr/share/apps/kdesu
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/kdesu*
%dir /usr/doc/kde/HTML/*
/usr/doc/kde/HTML/*/kdesu

%post -n kcmkdesu
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun -n kcmkdesu
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files -n kcmkdesu
%defattr(-,root,root,0755)
/usr/bin/kcmkdesu
/usr/lib/menu/kcmkdesu
%dir /usr/share/icons
/usr/share/icons/kdesu-keys.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/kdesu-keys.xpm
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/kcmkdesu.mo
%doc /usr/doc/kde/HTML/*/kcontrol/kcmkdesu

%changelog

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 0.98-13mdk

- Small icon for kcmkdesu was broken - replaced
- Some changes to files list

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 0.98-12mdk

- Oops, forgot post and postun for kcmkdesu
- Added --disable-rpath to ./configure

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 0.98-11mdk

- Post and postun scripts

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98-10mdk
- Fix menu entrie.

* Mon Mar 27 2000 Francis Galiegue <fg@mandrakesoft.com> 0.98-9mdk
- Changed group
- Added menu entries
- Icon for kcmkdesu

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.98-8mdk
- use %configure to regenerate libtoolize.

* Tue Dec 28 1999 Frederic Lepied <flepied@mandrakesoft.com> 0.98-7mdk
- fix the keep password problem.
- return -1 when the user cancel.

* Mon Dec 20 1999 Pixel <pixel@mandrakesoft.com>
- short-circuit in case kdesu is launched as root

* Fri Dec 17 1999 Pixel <pixel@mandrakesoft.com>
- add /sbin and /usr/sbin in PATH before exec'ing

* Wed Dec 15 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Re-enable locales

* Fri Nov 26 1999 Pixel <pixel@linux-mandrake.com>
- kdesu do not require kdecore any more
- kcmkdesu in its own package (otherwise will have to make it static too)

* Sun Nov 21 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add french tranlation
- Fix build as user

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- BuildRequires: kdelibs-devel
- Fix(awfull one) build with gcc2.95.

* Tue Sep 07 1999 Daouda Lo <daouda@mandrakesoft.com>
 -0.98

* Wed Aug 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 0.97 (thanks Terrapin). 


* Thu Aug 19 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.95

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rewriting the spec file.
- Build release.


# end of file
